%Clear previous operations and command window
clear
clc
clf
load('NoondayLidarm.csv')
load('NoondayPhotogrammetrym.csv')
%simplify variable names
L = NoondayLidarm
P = NoondayPhotogrammetrym
%The following calculations will result in a 10x1 matrix that represents
%the distance between each of the 10 points selected from Lidar and
%Photogrammetry in 3D space
%Column 1 is the easting, column 2 is the northing, and column 3 is
%elevation for both L and P, the units are feet for all values

%Take the difference between L and P to get the coordinates of the vector
%between each point
difference = L-P
%Square each individual slot in "difference" matrix
squared = (difference.^2);
%add each row in "squared" together, the result will be a 10x1
%matrix
added = (squared(:,1)) + (squared(:,2)) + (squared(:,3));
%Take the square root of "added"
distance = sqrt(added)
%Take the average of the distance data to get a general answer for how far
%off the photogrammetry surface is from the Lidar surface. Get the max and
%min offset distance as well
average = mean(distance)
maximum = max(distance)
minimum = min(distance)
%plot data in 3D, start with a scatter of the points
scatter3((P(:,1)),(P(:,2)),(P(:,3)), 'r'); hold on
scatter3((L(:,1)),(L(:,2)),(L(:,3)), 'b'); hold on
xlabel('Easting (m)');
ylabel('Northing (m)');
zlabel('Elevation (m)');
%connect the photogrammetry point to the corresponding lidar point. Do this
%for all 10 points using a loop
marker = length(P);
for step = 1:marker
x = [(P(step,1)),(L(step,1))];
y = [(P(step,2)),(L(step,2))];
z = [(P(step,3)),(L(step,3))];
plot3(x,y,z)
hold on
end
print -dpdf Jades_3DPlot_Noonday_m.pdf
%The next set of calculations will obtain the direction of the distance
%vector expressed as an angle instead of coordinates (components), which is
%what the variable "difference" represents




